#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define SCREEN_WIDTH 128
#define SCREEN_HEIGHT 64
#define OLED_RESET    -1
#define SCREEN_ADDRESS 0x3C

Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);

float amplitude = 10; 
float frequency = 0.4;

void setup() {
    if (!display.begin(SSD1306_SWITCHCAPVCC, SCREEN_ADDRESS)) {
        for (;;);
    }
    display.clearDisplay();
}

void loop() {
    display.clearDisplay();
    
    // Dibujar la onda seno
    for (int x = 0; x < SCREEN_WIDTH; x++) {
        float angle = x * frequency;
        int y = SCREEN_HEIGHT / 2 + amplitude * sin(angle);
        display.drawPixel(x, y, SSD1306_WHITE);
    }
    
    // Mostrar los valores de amplitud y frecuencia
    display.setTextSize(1);
    display.setTextColor(SSD1306_WHITE);
    display.setCursor(0, 0);
    display.print("Amp: ");
    display.print(amplitude);
    display.setCursor(0, 10);
    display.print("Freq: ");
    display.print(frequency);
    
    display.display();
    delay(50);
}

